KParts::BrowserInterface class Reference (kparts Library)

| # kparts Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::BrowserInterface Class Reference

The purpose of this interface is to allow a direct communication between a KPart and the hosting browser shell (for example Konqueror) . More...

`#include <browserinterface.h>`

Inheritance diagram for KParts::BrowserInterface:

[legend]
Collaboration diagram for KParts::BrowserInterface:

[legend]
List of all members.

## Public Member Functions
| BrowserInterface (QObject *parent, const char *name=0)
void | callMethod (const char *name, const QVariant &argument)
| Perform a dynamic invocation of a method in the BrowserInterface implementation.

## Detailed Description

The purpose of this interface is to allow a direct communication between a KPart and the hosting browser shell (for example Konqueror) .

A shell implementing this interface can propagate it to embedded kpart components by using the setBrowserInterface call of the part's KParts::BrowserExtension object.

This interface looks not very rich, but the main functionality is implemented using the callMethod method for part->shell communication and using Qt properties for allowing a part to to explicitly query information from the shell.

Konqueror in particular, as 'reference' implementation, provides the following functionality through this interface:

Qt properties: Q_PROPERTY( uint historyLength READ historyLength );

Callable methods: void goHistory( int );

Definition at line 32 of file browserinterface.h.

## Member Function Documentation

void BrowserInterface::callMethod | ( | const char * | name,
|  | const QVariant & | argument
| ) |

| Perform a dynamic invocation of a method in the BrowserInterface implementation. Methods are to be implemented as simple Qt slots. Definition at line 22 of file browserinterface.cpp. References QObject::metaObject(), KStdAccel::name(), QVariant::toBool(), QVariant::toInt(), QVariant::toString(), QVariant::toStringList(), QVariant::toUInt(), and QVariant::type().

The documentation for this class was generated from the following files:

- browserinterface.h
- browserinterface.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:26:53 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001